# $FreeBSD: libh/release/Makefile.inc,v 1.3 2002/04/26 02:19:42 antoine Exp $

# Determine whether or not we can use rootly owner/group functions.
UID!=	id -u
.if ${UID} == 0
_BINOWNGRP=	-o ${BINOWN} -g ${BINGRP}
_SHROWNGRP=	-o ${SHAREOWN} -g ${SHAREGRP}
_MANOWNGRP=	-o ${MANOWN} -g ${MANGRP}
.else
_BINOWNGRP=
_SHROWNGRP=
_MANOWNGRP=
.endif

MKDIR?=	mkdir -p

INSTALL_DATA= \
	${INSTALL} ${COPY} ${_SHROWNGRP} -m ${SHAREMODE}

SHAREDIR=	${PREFIX}/share/libh
DATADIR?=	${SHAREDIR}

.if defined(DATAFILES)

install:
	${MKDIR} ${DATADIR}
.for _D in ${DATAFILES}
	${INSTALL_DATA} ${.CURDIR}/${_D} ${DATADIR}
.endfor

.endif
