#! /usr/local/bin/tclh

# $FreeBSD: libh/release/scripts/pkgtools/all_files.tcl,v 1.5 2002/05/28 21:48:20 alex Exp $
#
# This script prints out all the files that are registered
# as "installed by a package" in the package db


set H_automatic_garbage_collection 0

# ----------------------------------------------------------------------

set db [Database]
set files [$db all_files]

foreach file $files {
    set packages [$db packages_owning [$file pathname]]
    puts stderr "[$file pathname] [$file length] [H::string_time_t [$file mtime]]"
    foreach package $packages {
	puts stderr "\t[$package name]"
    }
}

exit 0

# ----------------------------------------------------------------------
