#! /usr/bin/tclh

# $FreeBSD: libh/release/scripts/pkgtools/directory_access.tcl,v 1.2 2002/06/03 15:36:37 antoine Exp $

set access $argv

if [catch {set db [Database]} err] {
    puts stderr "can't open db: $err"
    exit 1
}

$db read_directories_access
set allow [[DirectoriesAccess] allow]

puts "allow ACL: $allow"

if {[llength $access] > 0} {
    set a [[DirectoriesAccess] allow $access]
    $db save_directories_access
    $db read_directories_access
    set a [[DirectoriesAccess] allow]
    puts "set allow ACL: $a"
}