#! /usr/bin/tclh

# $FreeBSD: libh/release/scripts/pkgtools/pkg_delete.tcl,v 1.2 2002/05/28 21:48:20 alex Exp $
#
# This file uninstalls a package

set db [Database]

set pkgname [lindex $argv 0]

if { $pkgname == "" } {
    puts "Usage: pkg_delete packagename"
    exit 1
}

set pkg [$db packages_by_name $pkgname]

if { $pkg == "" } {
    puts "$pkgname: no such package"
    exit 1
}

$pkg uninstall
