
#include <iostream>
#include <vector>

#include "disk/fstab_file.hh"

int main (int argc, char** argv) {

	fstab_file f;

	vector<cfstab>::iterator c = f.cfstabs.begin();

	while (c != f.cfstabs.end()) {
		cout << c->str() << endl;
		++c;
	}
	
	cfstab hola = f.cfstabs[3];
	cerr << "trying to mount " << hola.fs_file << endl;
	try {
		hola.mount();
	} catch (runtime_error err) {
		cerr << err.what() << endl;
	}

}
