global cons_w

proc read_cmd {hui button data} {

    global command
    
    catch [$command text] sid
    cons_append $sid
    
}

proc cons_append {string} {
    global cons_out
  
    # XXX: this is probably not the (c) good way
    $cons_out text [format "%s%s" [$cons_out text] $string]
    if {$string != "" && $string != "\n"} {
        cons_append "\n"
    }
}

# make the console openable only once
proc open_console {hui} {

    global cons_w
    if {[info vars cons_w] == "cons_w" &&
        ![catch {set cons_w $cons_w}] &&
        ![H::is_null $cons_w]
    } {
        $cons_w show
        return
    } else {
        cons_make_main_win $hui
    }        


}

# Create the main-window and its elements
#
# do not call this from outside console.tcl, use open_console instead
proc cons_make_main_win {hui} {
    global command
    global cons_out
    global cons_w
    
    set cons_w [$hui window cons_w "Console" "0 0" "25 20" "vertical"] 
    
    set cmd_cont [$cons_w container "container"]
    
    set command [$cmd_cont inputLine "Console Command" "" -1]
    $cmd_cont button "gobutton" "&Eval" {read_cmd ""} "default"
    
    set cons_out [$cons_w textEdit "Console Output" "" FALSE]
    
    $cmd_cont resize "3 -1"
    # Finally, show the window
    $cons_w show
}