# common dialogs and callbacks
proc button_click_result {$hui button result} {
    return $result
}

proc ok_window {hui title text textsize} {

    set msgwin [$hui window "msgwindow" $title "0 0" "70 20"]

    set hcont [$msgwin container "hcont"]
    set placehold1 [$hcont container "place1"]
    $placehold1 resize "3 -1"
    set text [$hcont label "dialogtextbox" $text]
    set placehold2 [$hcont container "place2"]
    $placehold2 resize "3 -1"

    set newwidth [expr [lindex $textsize 0] + 6]
    set newheight [expr [lindex $textsize 1] + 2]

    $msgwin resize "$newwidth $newheight"
    $msgwin arrange "vertical"
    $hcont arrange "horizontal"
    set cont [$msgwin container "horizontal"]
    $cont resize "-1 2"
    $cont container "p2"
    $cont button "okbutton" "&OK" {button_click_result OK} "default"
    $cont container "p2"

    $msgwin show
}

proc ok_dialog {hui parent title text textsize} {
    set msgdialog [$hui dialog $parent "msgdialog" $title "0 0" "70 20"]

    set hcont [$msgdialog container "hcont"]
    set placehold1 [$hcont container "place1"]
    $placehold1 resize "3 -1"
    set text [$hcont label "dialogtextbox" $text]
    set placehold2 [$hcont container "place2"]
    $placehold2 resize "3 -1"

    set newwidth [expr [lindex $textsize 0] + 6]
    set newheight [expr [lindex $textsize 1] + 2]

    $msgdialog resize "$newwidth $newheight"
    $msgdialog arrange "vertical"
    $hcont arrange "horizontal"
    set cont [$msgdialog container "horizontal"]
    $cont resize "-1 2"
    $cont container "p2"
    $cont button "okbutton" "&OK" {button_click_result OK} "default"
    $cont container "p2"

    $msgdialog exec

    return [$msgdialog result]
}

proc yesno_dialog {hui parent title text textsize} {
    set msgdialog [$hui dialog $parent "msgdialog" $title "0 0" "70 20"]

    set hcont [$msgdialog container "hcont"]
    set placehold1 [$hcont container "place1"]
    $placehold1 resize "3 -1"
    set text [$hcont label "dialogtextbox" $text]
    set placehold2 [$hcont container "place2"]
    $placehold2 resize "3 -1"

    set newwidth [expr [lindex $textsize 0] + 6]
    set newheight [expr [lindex $textsize 1] + 2]

    $msgdialog resize "$newwidth $newheight"
    $msgdialog arrange "vertical"
    $hcont arrange "horizontal"
    set cont [$msgdialog container "horizontal"]
    $cont resize "-1 2"
    $cont container "p2"
    $cont button "yesbutton" "&Yes" {button_click_result YES}
    $cont button "nobutton" "&No" {button_click_result NO}
    $cont container "p2"

    $msgdialog exec

    return [$msgdialog result]
}