#ifndef Library_hh_ecc87b1c
#define Library_hh_ecc87b1c
/*
 * $Id: Library.hh,v 1.5 2002/07/14 08:51:16 okumoto Exp $
 */
#include "ObjectCollection.hh"

#include <string>

/**
 *
 */
class Library : public ObjectCollection {
	void out_assignments(ostream &out) const;

	void out_target(ostream &out) const;

public:
	Library(const string &src, const string &obj,
		const string &dir, const string &name);

	void process();

	/**
	 * Returns true if the module target depends on other libraries.
	 */
	bool uselibs() const { return false; }

	void output(ostream &out) const;
};

#endif /* Library_hh_ecc87b1c */
