#ifndef Program_hh_72757282
#define Program_hh_72757282
/*
 * $Id: Program.hh,v 1.5 2002/07/14 08:51:16 okumoto Exp $
 */
#include "ObjectCollection.hh"

#include <string>

/**
 *
 */
class Program : public ObjectCollection {
	void out_assignments(ostream &out) const;

	void out_target(ostream &out) const;

public:
	Program(const string &src, const string &obj,
		const string &dir, const string &name);

	void process();

	/**
	 * Returns true if the module target depends on other libraries.
	 */
	bool uselibs() const { return true; }

	void output(ostream &out) const;
};

#endif /* Program_hh_72757282 */
